Subject: Re: Re-queueing of skb in vlan_skb_recv

From: Jeremy Jackson <[email-masked]>
Date: Fri, 11 Apr 2008 08:53:24 -0400

On Fri, 2008-04-11 at 14:46 +0200, Patrick McHardy wrote:
> Brian Oostenbrink wrote:
> > In vlan_skb_recv, packets are generally stripped of their vlan header,
> > and then re-queued via netif_rx().  Is there a reason for re-queuing
> > these instead of calling netif_receive_skb() directly?  On our system
> > (an embedded linux router), this re-queuing has a significant
> > performance penalty.
> 
> Its done to save stack space. There's currently a discussion
> about making loopback use netif_receive_skb in case enough
> stack is still available. Once that patch gets merged I'll
> change VLAN in a similar way.

There was a patch floating around fixing VLAN + Bridge, I'm wondering if
it got any traction (ie merged), or if this would affect future merge of
that feature?

-- 
Jeremy Jackson
Coplanar Networks
(519)489-4903
http://www.coplanar.net
[email-masked]